if(isfile("prefs/PizzaClient_Prefs.cs"))
	exec("prefs/PizzaClient_Prefs.cs");

addMessageCallback('MsgPizzaJoin', PizzaMsgTogglerJoin);

function PizzaMsgTogglerJoin()
{
	$isPizzaServer = 1;
}

function PizzaMsgToggler(%val)
{
	if(%val)
	{
		$ViewPizzaMsg = !$ViewPizzaMsg;

		if($ViewPizzaMsg)
			addMessageHudLine("\c2Pizza bottomprints are now: ON.");
		else
			addMessageHudLine("\c2Pizza bottomprints are now: OFF.");

		if($isPizzaServer)
			commandToServer('ToggleBottomPrint', $ViewPizzaMsg);
	}
}

package PizzaMsgTogglerPkg
{

function sceneLightingComplete()
{
	if($isPizzaServer)
		commandToServer('ToggleBottomPrint', $ViewPizzaMsg);

	parent::sceneLightingComplete();
}

function Disconnect()
{
   parent::Disconnect();

   $isPizzaServer = 0;
}

function OptionsDlg::onWake(%this)
{
   if(!$PizzaMsgTogglerBind)
   {
   	$RemapName[$RemapCount] = "Toggle MidAir Msg";
		$RemapCmd[$RemapCount] = "PizzaMsgToggler";
		$RemapCount++;

		$PizzaMsgTogglerBind = true;
	}

	parent::onWake(%this);
}

function quit()
{
	if(!$PizzaMsgTogglerPrefsSaved)
	{
		export("$ViewPizzaMsg", "prefs/PizzaClient_Prefs.cs", false);
		$PizzaMsgTogglerPrefsSaved = true;
	}

	parent::quit();
}

};

activatePackage(PizzaMsgTogglerPkg);